#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	test -f taxy-magit-section.info.orig \
		|| mv taxy-magit-section.info taxy-magit-section.info.orig
	emacs -q --batch -l ox-texinfo \
		--eval '(find-file "README.org")' \
		--eval '(org-texinfo-export-to-info)'
	mv README.info taxy-magit-section.info

override_dh_auto_clean:
	rm -f README.texi
	test -f taxy-magit-section.info.orig \
		&& mv taxy-magit-section.info.orig taxy-magit-section.info ||:
